- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# dladm_iptun – Manage IP tunnel interfaces on Solaris/illumos systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manage IP tunnel interfaces on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
local_address - |  | Literal IP address or hostname corresponding to the tunnel source. aliases: local
name - / required |  | IP tunnel interface name.
remote_address - |  | Literal IP address or hostname corresponding to the tunnel destination. aliases: remote
state - | Choices: present ← absent | Create or delete Solaris/illumos VNIC.
temporary boolean | Choices: no ← yes | Specifies that the IP tunnel interface is temporary. Temporary IP tunnel interfaces do not persist across reboots.
type - | Choices: ipv4 ← ipv6 6to4 | Specifies the type of tunnel to be created. aliases: tunnel_type

## Examples

    - name: Create IPv4 tunnel interface 'iptun0'
      dladm_iptun: name=iptun0 local_address=192.0.2.23 remote_address=203.0.113.10 state=present

    - name: Change IPv4 tunnel remote address
      dladm_iptun: name=iptun0 type=ipv4 local_address=192.0.2.23 remote_address=203.0.113.11

    - name: Create IPv6 tunnel interface 'tun0'
      dladm_iptun: name=tun0 type=ipv6 local_address=192.0.2.23 remote_address=203.0.113.42

    - name: Remove 'iptun0' tunnel interface
      dladm_iptun: name=iptun0 state=absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
local_address string | always | local IP address Sample: 1.1.1.1/32
name string | always | tunnel interface name Sample: iptun0
remote_address string | always | remote IP address Sample: 2.2.2.2/32
state string | always | state of the target Sample: present
temporary boolean | always | specifies if operation will persist across reboots Sample: True
type string | always | tunnel type Sample: ipv4

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.